#pragma once
#include <map>
#include <vector>
#include <string>

/**
方案模拟
*/
class CivProjSimulation
{
public:

	bool simulationProj();

	bool averPressureChange();

	bool averFlowChange();

	bool pressChangeDMA();

	bool flowChangeDMA();
private:
	/**
	 *@brief 获取dma分区所对应的点
	 */
	void getDMADatas(std::map<std::string, std::vector<std::string>>& nodes);


private:
	std::map<std::string, std::string> m;

};
